Saltar al contenido principal
GET
/
api
/
v1
/
agents
/
{agent_id}
/
versions
/
{version}
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.agent_versions.get_agent_version(agent_id="<id>", version=652149)

    # Handle response
    print(res)
{
  "object": "agent.version",
  "id": "<string>",
  "agent_id": "<string>",
  "version": 2,
  "is_current": true,
  "restored_from_version": 2,
  "name": "<string>",
  "description": "<string>",
  "model": "functionary-pt",
  "instructions": "<string>",
  "tools": [
    {
      "user_location": {
        "type": "approximate",
        "city": "<string>",
        "country": "<string>",
        "region": "<string>",
        "timezone": "<string>"
      },
      "filters": {
        "allowed_domains": [
          "<string>"
        ]
      }
    }
  ],
  "tool_choice": "<string>",
  "parallel_tool_calls": true,
  "max_tool_calls": 123,
  "text": {
    "format": {}
  },
  "reasoning": {},
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z"
}

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de ruta

agent_id
string
requerido
version
integer
requerido
Rango requerido: x >= 1

Respuesta

Versión del agente encontrada.

object
enum<string>
requerido
Opciones disponibles:
agent.version
id
string
requerido
agent_id
string
requerido
version
integer
requerido
Rango requerido: x >= 1
is_current
boolean
requerido

Verdadero cuando esta versión coincide con la configuración actual del agente.

restored_from_version
integer | null
requerido

Cuando esta versión fue producida por un retroceso, la versión de la que se restauró.

Rango requerido: x >= 1
name
string
requerido
description
string | null
requerido
model
string
requerido
Ejemplo:

"functionary-pt"

instructions
string | null
requerido
tools
object[]
requerido
tool_choice
requerido
parallel_tool_calls
boolean
requerido
max_tool_calls
integer | null
requerido
text
object
requerido
reasoning
object
requerido
metadata
object
requerido
created_at
string<date-time>
requerido